Upstream information

CVE-2021-23177 at MITRE

Description

An improper link resolution flaw while extracting an archive can lead to changing the access control list (ACL) of the target of the link. An attacker may provide a malicious archive to a victim user, who would trigger this flaw when trying to extract the archive. A local attacker may use this flaw to change the ACL of a file on the system and gain more privileges.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 6.6
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:L/A:L
Attack Vector Local Local
Attack Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High Low
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entries: 1192425 [RESOLVED / FIXED], 1195844 [RESOLVED / DUPLICATE]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image SLES15-SP3-Manager-4-2-Server-BYOS-Azure
Image SLES15-SP3-Manager-4-2-Server-BYOS-EC2-HVM
Image SLES15-SP3-Manager-4-2-Server-BYOS-GCE
Image SLES15-SP3-SAPCAL-Azure
Image SLES15-SP3-SAPCAL-EC2-HVM
Image SLES15-SP3-SAPCAL-GCE
  • libarchive13 >= 3.4.2-150200.4.9.1
Image SLES15-SP4-Manager-Server-4-3
Image SLES15-SP4-Manager-Server-4-3-Azure-llc
Image SLES15-SP4-Manager-Server-4-3-Azure-ltd
Image SLES15-SP4-Manager-Server-4-3-BYOS
Image SLES15-SP4-Manager-Server-4-3-BYOS-Azure
Image SLES15-SP4-Manager-Server-4-3-BYOS-EC2
Image SLES15-SP4-Manager-Server-4-3-BYOS-GCE
Image SLES15-SP4-Manager-Server-4-3-EC2-llc
Image SLES15-SP4-Manager-Server-4-3-EC2-ltd
Image SLES15-SP4-SAP
Image SLES15-SP4-SAP-Azure
Image SLES15-SP4-SAP-EC2
Image SLES15-SP4-SAP-GCE
Image SLES15-SP4-SAPCAL
Image SLES15-SP4-SAPCAL-Azure
Image SLES15-SP4-SAPCAL-EC2
Image SLES15-SP4-SAPCAL-GCE
Image SLES15-SP5-SAP-Azure
Image SLES15-SP5-SAP-EC2
Image SLES15-SP5-SAP-GCE
Image SLES15-SP5-SAPCAL-Azure
Image SLES15-SP5-SAPCAL-EC2
Image SLES15-SP5-SAPCAL-GCE
  • libarchive13 >= 3.5.1-150400.3.6.1
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • bsdtar >= 3.4.2-150200.4.9.1
  • libarchive-devel >= 3.4.2-150200.4.9.1
  • libarchive13 >= 3.4.2-150200.4.9.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP3-2022-3393
SUSE-SLE-Module-Development-Tools-15-SP3-2022-3393
SUSE Liberty Linux 8
  • bsdtar >= 3.3.3-3.el8_5
  • libarchive >= 3.3.3-3.el8_5
  • libarchive-devel >= 3.3.3-3.el8_5
Patchnames:
RHSA-2022:0892
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • bsdtar >= 3.5.1-150400.3.6.1
  • libarchive-devel >= 3.5.1-150400.3.6.1
  • libarchive13 >= 3.5.1-150400.3.6.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP4-2022-3306
SUSE-SLE-Module-Development-Tools-15-SP4-2022-3306
SUSE Linux Enterprise Desktop 15 SP5
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • bsdtar >= 3.5.1-150400.3.6.1
  • libarchive-devel >= 3.5.1-150400.3.6.1
  • libarchive13 >= 3.5.1-150400.3.6.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP5 GA libarchive-3.5.1-150400.3.12.1
SUSE Linux Enterprise Module for Basesystem 15 SP5 GA libarchive-devel-3.5.1-150400.3.12.1
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA bsdtar-3.5.1-150400.3.12.1
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA libarchive-3.5.1-150400.3.12.1
SUSE Linux Enterprise Micro 5.4
  • libarchive13 >= 3.5.1-150400.3.12.1
Patchnames:
SUSE Linux Enterprise Micro 5.4 GA libarchive13-3.5.1-150400.3.12.1
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • libarchive-devel >= 3.4.2-150200.4.9.1
  • libarchive13 >= 3.4.2-150200.4.9.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP3-2022-3393
SUSE Linux Enterprise Module for Basesystem 15 SP4
  • libarchive-devel >= 3.5.1-150400.3.6.1
  • libarchive13 >= 3.5.1-150400.3.6.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP4-2022-3306
SUSE Linux Enterprise Module for Basesystem 15 SP5
  • libarchive-devel >= 3.5.1-150400.3.6.1
  • libarchive13 >= 3.5.1-150400.3.6.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP5 GA libarchive-3.5.1-150400.3.12.1
SUSE Linux Enterprise Module for Basesystem 15 SP5 GA libarchive-devel-3.5.1-150400.3.12.1
SUSE Linux Enterprise Module for Development Tools 15 SP3
  • bsdtar >= 3.4.2-150200.4.9.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP3-2022-3393
SUSE Linux Enterprise Module for Development Tools 15 SP4
  • bsdtar >= 3.5.1-150400.3.6.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP4-2022-3306
SUSE Linux Enterprise Module for Development Tools 15 SP5
  • bsdtar >= 3.5.1-150400.3.6.1
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA bsdtar-3.5.1-150400.3.12.1
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA libarchive-3.5.1-150400.3.12.1
openSUSE Leap 15.3
  • bsdtar >= 3.4.2-150200.4.9.1
  • libarchive-devel >= 3.4.2-150200.4.9.1
  • libarchive13 >= 3.4.2-150200.4.9.1
  • libarchive13-32bit >= 3.4.2-150200.4.9.1
Patchnames:
openSUSE-SLE-15.3-2022-3393
openSUSE Leap 15.4
  • bsdtar >= 3.5.1-150400.3.6.1
  • libarchive-devel >= 3.5.1-150400.3.6.1
  • libarchive13 >= 3.5.1-150400.3.6.1
  • libarchive13-32bit >= 3.5.1-150400.3.6.1
Patchnames:
openSUSE-SLE-15.4-2022-3306
openSUSE Tumbleweed
  • bsdtar >= 3.7.2-1.1
  • libarchive-devel >= 3.7.2-1.1
  • libarchive13 >= 3.7.2-1.1
  • libarchive13-32bit >= 3.7.2-1.1
Patchnames:
openSUSE-Tumbleweed-2024-13549


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 libarchive Released
SUSE Linux Enterprise Desktop 15 SP5 libarchive Released
SUSE Linux Enterprise Desktop 15 SP6 libarchive Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP5 libarchive Released
SUSE Linux Enterprise High Performance Computing 15 SP5 libarchive Released
SUSE Linux Enterprise High Performance Computing 15 SP6 libarchive Already fixed
SUSE Linux Enterprise Micro 5.3 libarchive Released
SUSE Linux Enterprise Micro 5.4 libarchive Affected
SUSE Linux Enterprise Micro 5.5 libarchive Affected
SUSE Linux Enterprise Micro for Rancher 5.3 libarchive Released
SUSE Linux Enterprise Module for Basesystem 15 SP5 libarchive Released
SUSE Linux Enterprise Module for Basesystem 15 SP6 libarchive Already fixed
SUSE Linux Enterprise Module for Development Tools 15 SP5 libarchive Released
SUSE Linux Enterprise Module for Development Tools 15 SP6 libarchive Already fixed
SUSE Linux Enterprise Server 12 SP5 libarchive Released
SUSE Linux Enterprise Server 15 SP5 libarchive Released
SUSE Linux Enterprise Server 15 SP6 libarchive Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libarchive Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 libarchive Released
SUSE Linux Enterprise Server for SAP Applications 15 SP6 libarchive Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP5 libarchive Released
SUSE Manager Proxy 4.3 libarchive Released
SUSE Manager Retail Branch Server 4.3 libarchive Released
SUSE Manager Server 4.3 libarchive Released
openSUSE Leap 15.5 libarchive Affected
openSUSE Leap 15.6 libarchive Already fixed
openSUSE Leap Micro 5.5 libarchive Affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 libarchive Released
SUSE Linux Enterprise High Performance Computing 15 SP2 libarchive Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS libarchive Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS libarchive Affected
SUSE Linux Enterprise High Performance Computing 15 SP3 libarchive Released
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS libarchive Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS libarchive Affected
SUSE Linux Enterprise High Performance Computing 15 SP4 libarchive Released
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS libarchive Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS libarchive Affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 libarchive Unsupported
SUSE Linux Enterprise Module for Basesystem 15 SP3 libarchive Released
SUSE Linux Enterprise Module for Basesystem 15 SP4 libarchive Released
SUSE Linux Enterprise Module for Development Tools 15 SP2 libarchive Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP3 libarchive Released
SUSE Linux Enterprise Module for Development Tools 15 SP4 libarchive Released
SUSE Linux Enterprise Server 15 SP2 libarchive Unsupported
SUSE Linux Enterprise Server 15 SP2-LTSS libarchive Affected
SUSE Linux Enterprise Server 15 SP3 libarchive Released
SUSE Linux Enterprise Server 15 SP3-LTSS libarchive Affected
SUSE Linux Enterprise Server 15 SP4 libarchive Released
SUSE Linux Enterprise Server 15 SP4-LTSS libarchive Affected
SUSE Linux Enterprise Server 15-ESPOS libarchive Won't fix
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 libarchive Won't fix
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 libarchive Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP2 libarchive Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP3 libarchive Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 libarchive Released
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 libarchive Affected
SUSE CaaS Platform 4.0 libarchive Won't fix
SUSE CaaS Platform 4.5 libarchive Unsupported
SUSE Enterprise Storage 6 libarchive Won't fix
SUSE Enterprise Storage 7 libarchive Affected
SUSE Linux Enterprise Desktop 11 SP2 bsdtar Unsupported
SUSE Linux Enterprise Desktop 11 SP3 bsdtar Unsupported
SUSE Linux Enterprise Desktop 11 SP4 bsdtar Unsupported
SUSE Linux Enterprise Desktop 12 libarchive Affected
SUSE Linux Enterprise Desktop 12 SP1 libarchive Affected
SUSE Linux Enterprise Desktop 12 SP2 libarchive Affected
SUSE Linux Enterprise Desktop 12 SP3 libarchive Affected
SUSE Linux Enterprise Desktop 12 SP4 libarchive Affected
SUSE Linux Enterprise Desktop 15 libarchive Won't fix
SUSE Linux Enterprise Desktop 15 SP1 libarchive Won't fix
SUSE Linux Enterprise Desktop 15 SP2 libarchive Unsupported
SUSE Linux Enterprise Desktop 15 SP3 libarchive Released
SUSE Linux Enterprise High Performance Computing 15 libarchive Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP1 libarchive Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS libarchive Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS libarchive Won't fix
SUSE Linux Enterprise High Performance Computing 15-ESPOS libarchive Won't fix
SUSE Linux Enterprise High Performance Computing 15-LTSS libarchive Won't fix
SUSE Linux Enterprise Module for Basesystem 15 libarchive Won't fix
SUSE Linux Enterprise Module for Basesystem 15 SP1 libarchive Won't fix
SUSE Linux Enterprise Module for Development Tools 15 libarchive Won't fix
SUSE Linux Enterprise Module for Development Tools 15 SP1 libarchive Won't fix
SUSE Linux Enterprise Point of Sale 11 SP3 bsdtar Unsupported
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT libarchive Affected
SUSE Linux Enterprise Real Time 15 SP2 libarchive Unsupported
SUSE Linux Enterprise Real Time 15 SP3 libarchive Affected
SUSE Linux Enterprise Real Time 15 SP4 libarchive Affected
SUSE Linux Enterprise Server 11 SP1 bsdtar Unsupported
SUSE Linux Enterprise Server 11 SP1-LTSS bsdtar Unsupported
SUSE Linux Enterprise Server 11 SP2 bsdtar Unsupported
SUSE Linux Enterprise Server 11 SP2-LTSS bsdtar Unsupported
SUSE Linux Enterprise Server 11 SP3 bsdtar Unsupported
SUSE Linux Enterprise Server 11 SP3-LTSS bsdtar Unsupported
SUSE Linux Enterprise Server 11 SP4 bsdtar Unsupported
SUSE Linux Enterprise Server 11 SP4-LTSS bsdtar Unsupported
SUSE Linux Enterprise Server 12 libarchive Affected
SUSE Linux Enterprise Server 12 SP1 libarchive Affected
SUSE Linux Enterprise Server 12 SP1-LTSS libarchive Affected
SUSE Linux Enterprise Server 12 SP2 libarchive Affected
SUSE Linux Enterprise Server 12 SP2-BCL libarchive Affected
SUSE Linux Enterprise Server 12 SP2-ESPOS libarchive Affected
SUSE Linux Enterprise Server 12 SP2-LTSS libarchive Affected
SUSE Linux Enterprise Server 12 SP3 libarchive Affected
SUSE Linux Enterprise Server 12 SP3-BCL libarchive Unsupported
SUSE Linux Enterprise Server 12 SP3-ESPOS libarchive Unsupported
SUSE Linux Enterprise Server 12 SP3-LTSS libarchive Unsupported
SUSE Linux Enterprise Server 12 SP4 libarchive Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS libarchive Released
SUSE Linux Enterprise Server 12 SP4-LTSS libarchive Released
SUSE Linux Enterprise Server 12-LTSS libarchive Affected
SUSE Linux Enterprise Server 15 libarchive Won't fix
SUSE Linux Enterprise Server 15 SP1 libarchive Won't fix
SUSE Linux Enterprise Server 15 SP1-BCL libarchive Won't fix
SUSE Linux Enterprise Server 15 SP1-LTSS libarchive Won't fix
SUSE Linux Enterprise Server 15 SP2-BCL libarchive Affected
SUSE Linux Enterprise Server 15 SP3-BCL libarchive Affected
SUSE Linux Enterprise Server 15-LTSS libarchive Won't fix
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 libarchive Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP2 bsdtar Unsupported
SUSE Linux Enterprise Server for SAP Applications 11 SP3 bsdtar Unsupported
SUSE Linux Enterprise Server for SAP Applications 11 SP4 bsdtar Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 libarchive Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 libarchive Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libarchive Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libarchive Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libarchive Released
SUSE Linux Enterprise Server for SAP Applications 15 libarchive Won't fix
SUSE Linux Enterprise Server for SAP Applications 15 SP1 libarchive Won't fix
SUSE Linux Enterprise Software Development Kit 11 SP2 bsdtar Unsupported
SUSE Linux Enterprise Software Development Kit 11 SP3 bsdtar Unsupported
SUSE Linux Enterprise Software Development Kit 11 SP4 bsdtar Unsupported
SUSE Linux Enterprise Software Development Kit 12 libarchive Affected
SUSE Linux Enterprise Software Development Kit 12 SP1 libarchive Affected
SUSE Linux Enterprise Software Development Kit 12 SP2 libarchive Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 libarchive Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 libarchive Affected
SUSE Manager Proxy 4.0 libarchive Won't fix
SUSE Manager Proxy 4.1 libarchive Unsupported
SUSE Manager Proxy 4.2 libarchive Released
SUSE Manager Retail Branch Server 4.0 libarchive Won't fix
SUSE Manager Retail Branch Server 4.1 libarchive Unsupported
SUSE Manager Retail Branch Server 4.2 libarchive Released
SUSE Manager Server 4.0 libarchive Won't fix
SUSE Manager Server 4.1 libarchive Unsupported
SUSE Manager Server 4.2 libarchive Released
SUSE OpenStack Cloud 7 libarchive Affected
SUSE OpenStack Cloud 8 libarchive Affected
SUSE OpenStack Cloud 9 libarchive Released
SUSE OpenStack Cloud Crowbar 8 libarchive Affected
SUSE OpenStack Cloud Crowbar 9 libarchive Released
SUSE Studio Onsite 1.3 bsdtar Unsupported
openSUSE Leap 15.3 libarchive Affected
openSUSE Leap 15.4 libarchive Released
openSUSE Leap Micro 5.3 libarchive Affected
openSUSE Leap Micro 5.4 libarchive Affected


SUSE Timeline for this CVE

CVE page created: Sun Nov 7 20:45:11 2021
CVE page last modified: Fri Jul 19 17:49:41 2024